Package com.omnisci.thrift.server

## Class OmniSci.get_result_row_for_pixel_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.get_result_row_for_pixel_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.get_result_row_for_pixel_args>`, `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.get_result_row_for_pixel_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.get_result_row_for_pixel_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.get_result_row_for_pixel_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `column_format`
`static Map<OmniSci.get_result_row_for_pixel_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`TPixel` `pixel`
`int` `pixelRadius`
`String` `session`
`Map<String,​List<String>>` `table_col_names`
`long` `widget_id`

### Constructor Summary

Constructors
`get_result_row_for_pixel_args()`
`get_result_row_for_pixel_args​(OmniSci.get_result_row_for_pixel_args other)` Performs a deep copy on other.
`get_result_row_for_pixel_args​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.get_result_row_for_pixel_args other)`
`OmniSci.get_result_row_for_pixel_args` `deepCopy()`
`boolean` `equals​(OmniSci.get_result_row_for_pixel_args that)`
`boolean` `equals​(Object that)`
`OmniSci.get_result_row_for_pixel_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.get_result_row_for_pixel_args._Fields field)`
`String` `getNonce()`
`TPixel` `getPixel()`
`int` `getPixelRadius()`
`String` `getSession()`
`Map<String,​List<String>>` `getTable_col_names()`
`int` `getTable_col_namesSize()`
`long` `getWidget_id()`
`int` `hashCode()`
`boolean` `isColumn_format()`
`boolean` `isSet​(OmniSci.get_result_row_for_pixel_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_format()` Returns true if field column_format is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetPixel()` Returns true if field pixel is set (has been assigned a value) and false otherwise
`boolean` `isSetPixelRadius()` Returns true if field pixelRadius is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_col_names()` Returns true if field table_col_names is set (has been assigned a value) and false otherwise
`boolean` `isSetWidget_id()` Returns true if field widget_id is set (has been assigned a value) and false otherwise
`void` `putToTable_col_names​(String key, List<String> val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.get_result_row_for_pixel_args` `setColumn_format​(boolean column_format)`
`void` `setColumn_formatIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.get_result_row_for_pixel_args._Fields field, Object value)`
`OmniSci.get_result_row_for_pixel_args` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`OmniSci.get_result_row_for_pixel_args` `setPixel​(TPixel pixel)`
`void` `setPixelIsSet​(boolean value)`
`OmniSci.get_result_row_for_pixel_args` `setPixelRadius​(int pixelRadius)`
`void` `setPixelRadiusIsSet​(boolean value)`
`OmniSci.get_result_row_for_pixel_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.get_result_row_for_pixel_args` `setTable_col_names​(Map<String,​List<String>> table_col_names)`
`void` `setTable_col_namesIsSet​(boolean value)`
`OmniSci.get_result_row_for_pixel_args` `setWidget_id​(long widget_id)`
`void` `setWidget_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetColumn_format()`
`void` `unsetNonce()`
`void` `unsetPixel()`
`void` `unsetPixelRadius()`
`void` `unsetSession()`
`void` `unsetTable_col_names()`
`void` `unsetWidget_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### widget_id

    public long widget_id

#### pixel

    public TPixel pixel

#### table_col_names

    public Map<String,​List<String>> table_col_names

#### column_format

    public boolean column_format

#### pixelRadius

    public int pixelRadius

#### nonce

    public String nonce

#### metaDataMap

    public static final Map<OmniSci.get_result_row_for_pixel_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### get_result_row_for_pixel_args

    public get_result_row_for_pixel_args()

#### get_result_row_for_pixel_args

    public get_result_row_for_pixel_args​(String session,
                                         long widget_id,
                                         TPixel pixel,
                                         Map<String,​List<String>> table_col_names,
                                         boolean column_format,
                                         int pixelRadius,
                                         String nonce)

#### get_result_row_for_pixel_args

    public get_result_row_for_pixel_args​(OmniSci.get_result_row_for_pixel_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.get_result_row_for_pixel_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.get_result_row_for_pixel_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getWidget_id

    public long getWidget_id()

#### setWidget_id

    public OmniSci.get_result_row_for_pixel_args setWidget_id​(long widget_id)

#### unsetWidget_id

    public void unsetWidget_id()

#### isSetWidget_id

    public boolean isSetWidget_id()

Returns true if field widget_id is set (has been assigned a value) and false otherwise

#### setWidget_idIsSet

    public void setWidget_idIsSet​(boolean value)

#### getPixel

    public TPixel getPixel()

#### setPixel

    public OmniSci.get_result_row_for_pixel_args setPixel​(TPixel pixel)

#### unsetPixel

    public void unsetPixel()

#### isSetPixel

    public boolean isSetPixel()

Returns true if field pixel is set (has been assigned a value) and false otherwise

#### setPixelIsSet

    public void setPixelIsSet​(boolean value)

#### getTable_col_namesSize

    public int getTable_col_namesSize()

#### putToTable_col_names

    public void putToTable_col_names​(String key,
                                     List<String> val)

#### getTable_col_names

    public Map<String,​List<String>> getTable_col_names()

#### setTable_col_names

    public OmniSci.get_result_row_for_pixel_args setTable_col_names​(Map<String,​List<String>> table_col_names)

#### unsetTable_col_names

    public void unsetTable_col_names()

#### isSetTable_col_names

    public boolean isSetTable_col_names()

Returns true if field table_col_names is set (has been assigned a value) and false otherwise

#### setTable_col_namesIsSet

    public void setTable_col_namesIsSet​(boolean value)

#### isColumn_format

    public boolean isColumn_format()

#### setColumn_format

    public OmniSci.get_result_row_for_pixel_args setColumn_format​(boolean column_format)

#### unsetColumn_format

    public void unsetColumn_format()

#### isSetColumn_format

    public boolean isSetColumn_format()

Returns true if field column_format is set (has been assigned a value) and false otherwise

#### setColumn_formatIsSet

    public void setColumn_formatIsSet​(boolean value)

#### getPixelRadius

    public int getPixelRadius()

#### setPixelRadius

    public OmniSci.get_result_row_for_pixel_args setPixelRadius​(int pixelRadius)

#### unsetPixelRadius

    public void unsetPixelRadius()

#### isSetPixelRadius

    public boolean isSetPixelRadius()

Returns true if field pixelRadius is set (has been assigned a value) and false otherwise

#### setPixelRadiusIsSet

    public void setPixelRadiusIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public OmniSci.get_result_row_for_pixel_args setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.get_result_row_for_pixel_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.get_result_row_for_pixel_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.get_result_row_for_pixel_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.get_result_row_for_pixel_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.get_result_row_for_pixel_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.get_result_row_for_pixel_args>`

#### fieldForId

    public OmniSci.get_result_row_for_pixel_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.get_result_row_for_pixel_args,​OmniSci.get_result_row_for_pixel_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`